Bug 464450 (CVE-2008-3833) - CVE-2008-3833 kernel: remove SUID when splicing into an inode
Summary: CVE-2008-3833 kernel: remove SUID when splicing into an inode
Status: CLOSED ERRATA
Alias: CVE-2008-3833
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20061017,repo...
Keywords:
Depends On: 464451 464452
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-29 07:36 UTC by Eugene Teo (Security Response)
Modified: 2011-09-30 19:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 19:46:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0957 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-11-12 09:34:44 UTC

Description Eugene Teo (Security Response) 2008-09-29 07:36:07 UTC
Description of problem:
Originally from Mark Fasheh <mark.fasheh@oracle.com>

generic_file_splice_write() does not remove S_ISUID or S_ISGID. This is inconsistent with the way we generally write to files.

Proposed upstream patch:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=8c34e2d63231d4bf4852bac8521883944d770fe3

Comment 2 Eugene Teo (Security Response) 2008-09-29 08:03:11 UTC
This requires should_remove_suid(), and __remove_suid() from bug #463661.

Comment 5 Eugene Teo (Security Response) 2008-10-03 00:53:43 UTC
This bug has similar consequences as CVE-2008-4210.

Comment 6 Eugene Teo (Security Response) 2008-10-03 00:57:28 UTC
Reference:
http://article.gmane.org/gmane.comp.security.oss.general/1008

Comment 10 Kurt Seifried 2011-09-30 19:46:13 UTC
This issue has been addressed in following products:

  Red Hat Linux Enterprise 5
  Red Hat Linux Enterprise 5.2.z
  
Via RHSA-2008:0957 available at https://rhn.redhat.com/errata/RHSA-2008-0957.html


Note You need to log in before you can comment on or make changes to this bug.